Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.deploy
Class DeploymentParams

    java.lang.Object
      |
      +--weblogic.management.deploy.DeploymentParams

public final class DeploymentParams
extends java.lang.Object

This class is used to set deployment parameters that needs to be passed to the j2ee/module containers for the deployment request executing on the current thread

Author:
  Copyright (c) 1999-2004 by BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`DeploymentParams()`

Method Summary
`static weblogic.security.acl.internal.AuthenticatedSubject` | `getCurrentSubject(weblogic.security.acl.internal.AuthenticatedSubject kernelId)` This method returns the subject, who initiated the current deployment task.
`static void` | `setCurrentSubject(weblogic.security.acl.internal.AuthenticatedSubject kernelId, weblogic.security.acl.internal.AuthenticatedSubject subject)` This method should be invoked only with kernelId.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeploymentParams

    public DeploymentParams()

Method Detail

### setCurrentSubject

    public static void setCurrentSubject(weblogic.security.acl.internal.AuthenticatedSubject kernelId,
                                         weblogic.security.acl.internal.AuthenticatedSubject subject)

  This method should be invoked only with kernelId. Otherwise caller will get weblogic.security.service.NotAuthorizedRuntimeException.

### getCurrentSubject

    public static weblogic.security.acl.internal.AuthenticatedSubject getCurrentSubject(weblogic.security.acl.internal.AuthenticatedSubject kernelId)

  This method returns the subject, who initiated the current deployment task. This method will return "null" if the same has not been set by the SlaveDeployer. Eg: static deployments as part of the server startup. This method should be invoked only with kernelId. Otherwise caller will get weblogic.security.service.NotAuthorizedRuntimeException.

  Parameters:
    `kernelId` -
  Returns:
    currentSubject who initiated the deployment request or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference